*{
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
    font-family: Aller_regular;
}
/*-----------------Seccion Navegacion Horizontal-----------------*/
.navegacion{
    width: 100%;
}
.barra_menu{
    display: flex;
    justify-content: right;
    padding-top: 20px;
    margin-right: 1%;
} 
.barra_menu li{ 
    list-style: none;
    padding: 10px 12px;
    text-align: right;
}
.barra_menu li a{
    font-size: 1.1rem;
    color: whitesmoke;
    padding: 12px 12px;
    text-decoration: none;
}
.barra_menu li a:hover{
    background-color: rgb(240, 235, 235);
    color: black;
    border-radius: 5px;
    transition: 0.5s ease;
}
.icon_menu{
    position: relative;
    left: 2%;
    margin: 0px 10px;
    margin-top: 30px;
    width: 40px;
    height: 40px;
}
.icon_menu img{
    width: 100%;
    height: 100%;
}
.icon_menu img:hover{
    padding: 3px 3px;
}
/*-----------------Boton Cerrar-----------------*/
.icon_menu_cerrar{
    position: absolute;
    top: 2%;
    right: 10%;
    width: 20px;
    height: 20px;
}
.icon_menu_cerrar img{
    width: 100%;
    height: 100%;
    filter: invert(50%);
}
.icon_menu_cerrar img:hover{
    padding: 3px 3px;
}
/*-----------------Seccion de botones de idioma------------------*/
.botones_idioma_menu_hor{
    display: flex;
    justify-content: right;
    padding-right: 5px;
}
.btn_idioma_menu_hor{
    margin-top: 5px;
    margin-right: 3px;
    padding: 4px 8px 4px 8px;
    border: solid 1px white;
    color: white;
    font-size: 15px;
    border-radius: 50px;
    cursor: pointer;
    background-color: rgba(255, 255, 255, 0);
}
.btn_idioma_menu_hor:hover{
    background-color: white;
    color: black;
}
/*-----------------Seccion Main Formulario-----------------*/
body{
    width: 100%;
}
header{
    height: 80vh;
    background-image: url("../img/rey-ruiz-fondo-header3.jpg");
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}
main{
    width: 100%;
}
.contact{
    width: 80%;
    margin: 0px auto;
    margin-top: 10%;
    margin-bottom: 10%;
    padding-bottom: 2em;
    border-radius: 6px;
    /*background-color: rgba(223, 223, 217, 0.356);*/
    background-color: rgba(245, 245, 245, 0.700);
    box-shadow: inset 0 -3em 3em rgba(0, 0, 0, 0.1),
    0 0 0 2px rgb(255, 255, 255),
    0.3em 0.3em 1em rgba(0, 0, 0, 0.3);
}
.contact_titulo{
    width: 100%;
    padding: 4%;
    font-size: 1.8rem;
    text-align: center;
}
.contact_titulo h2{
    letter-spacing: 2px;
    margin-top: 2%;
    color:rgb(22, 22, 22);
}
#info{
    text-align: center;
    font-size: 1.2rem;
    padding-bottom: 1%;
}
.contact hr{
    width: 70%;
    height: 3px;
    margin: 0px auto;
    margin-bottom: 5%;
}
.contact_suscri{
    width: 90%;
    margin: 2% auto;
    padding: 1%; 
}
.form{
    padding: 4%;
    margin: 2%;
}
.cont_input{
    margin: 0 auto;
    text-align: center;
}
.form input, textarea{
    width: 80%;
    margin: 1%;
    padding: 2%;
    margin-top: 5%;
    text-decoration: none;
    border-radius: 6px; 
    border: solid 1px rgb(160, 160, 160);
    outline: none;
    font-size: 1.2rem;
    resize: none;
}
input::placeholder{
    color: rgba(108, 108, 109, 0.5);
} 
textarea::placeholder{
    color: rgba(108, 108, 109, 0.5);
} 
input:focus{
    box-shadow: 0px 0px 2px 2px rgb(188, 188, 188);
}
#submit{
    padding: 3%;
    border-radius: 6px;
    border: solid 1px rgb(180, 180, 180);
    color: rgba(128, 128, 129, 0.550);
    outline: none;
    font-size: 1.4rem;
}
#submit:hover{
    background-color: rgb(124, 228, 124);
    color: white;
}
.cont_form{
    width: 80%;
    margin: 2% auto;
}

/*-----------------Seccion Footer-----------------*/
footer{
    width: 100%;
    /*margin-top: 20px;*/
    background-color: rgb(38, 37, 37);
}
.cont_info{
    padding-top: 2%;
    display: flex;
    justify-content:space-evenly;
}
.contacto{
    margin: 30px 10px;
}
#cont_titulo{
    font-size: 1.1rem;
}
#cont_titulo_manag{
    margin-top: 10%;
    font-size: 1.1rem;
}
.contacto{
    margin: 30px 10px;
}
.cont_info p{
    color:rgb(221, 223, 224);
    font-size: 0.9rem;
    padding: 5px 0px;
    letter-spacing: 1px;
}
.redes_sociales{
    margin: 30px 10px;
    text-align: center;
}
.redes_sociales p{
    margin-bottom: 15px;
}
.redes_sociales img{
    width: 30px;
    height: 30px;
    margin: 10px 10px;
}
.redes_sociales img:hover{
    transition: all .7s ease-in-out;
    transform: scale(1.4);
}
.logos{
    margin: 30px 10px;
    text-align: center;
}
.logos img{
    width: 80%;
    height: 80%;
    filter: invert(0.9);
}
.logo_rey{
    margin-bottom: 20%;
}
.der_footer{
    width: 100%;
    padding: 3px;
    background-color: rgb(36, 35, 35);
    text-align: center;
}
.der_footer p{
    padding: 5px 5px;
    color: darkgray;
    font-size: x-small;
}
/*-----------------Adaptacion de Pantalla Resol 1025-----------------*/
@media screen and (min-width: 1025px) {
    .icon_menu{
        display: none;
    }
    .icon_menu_cerrar{
        display: none;
    }
    .cont_logo{
        display: none;
    }
    .menu_respon{
        display: none;
    }
    .btn_regreso{
        display: none;
    }
}
/*-----------------Adaptacion de Pantalla Resol 1024-----------------*/
@media screen and (max-width: 1024px){
    header{
        height: 35vh;
    }
    header .icon_menu{
        position: fixed;
    }
    body{
        background-attachment: fixed;
        background-size: cover;
        background-position: center;
    }
    .barra_menu{
        display: none;
    }
    .botones_idioma_menu_hor{
        display: none;
    }
    main{
        flex-direction: column;
        margin-right: 15px;
    }
    .cont_logo{
        width: 30%;
        position: absolute;
        top: 2%;
        right: 3%;
        filter: invert(1);
    }
    .cont_logo img{
        width: 100%;
        height: 30%;
    }
    .menu_respon{
        width: 30%;
        height: 100%;
        padding: 5% 5% 0% 5%;
        background-color: rgba(254, 254, 255, 0.915);
        transform: translateX(-110%);
        transition: 0.8s;
        -webkit-transition: 0.8s; 
        -moz-transition: 0.8s; 
        -ms-transition: 0.8s;
        position: fixed;
        z-index: 3;
    }
    .menu_resp_titulo{
        margin: 25px 0px 10px 0px;
        padding: 5px 5px;
        font-size: 1.5rem;
        letter-spacing: 2px;
    }
    hr{
        border: solid 1px rgb(49, 48, 48);
        margin-bottom: 20px;
    }
    .menu_respon li {
        padding: 10px 10px;
        list-style: none;
    }
    .menu_respon li a{
        text-decoration: none; 
        color: black;
        letter-spacing: 2px;
        padding: 5px 5px;
        font-size: 1.3rem;
    }
    .menu_respon li:hover{ 
        background-color: rgb(121, 120, 120);
        transition: 1.5s all ease-in;
        -webkit-transition: 1.5s; 
        -moz-transition: 1.5s; 
        -ms-transition: 1.5s
    }
    .menu_activo_js{
        transform: translateX(0);
        transition: 0.8s;
        -webkit-transition: 0.8s; 
        -moz-transition: 0.8s; 
        -ms-transition: 0.8s
    }
    .menu_respon li a:hover { 
        color: rgb(255, 255, 255);
        transition: 0.1s all ease-in;
        -webkit-transition: 0.1s; 
        -moz-transition: 0.1s; 
        -ms-transition: 0.1s
    }
    .botones_idioma{
        display: flex;
        justify-content: space-between;
        margin-top: 10%;
        padding: 3%;
    }
	.btn_idioma{
	    border-radius: 10px;
        padding: 4%;
        border: solid 1px rgb(49, 48, 48);
        font-size: 1rem;		
	}
    .form input, textarea{
        width: 100%;
        font-size: 1.2rem;
    }
    .cont_logo{
        width: 18%;
        position: absolute;
        right: 2%;
        filter: invert(1);
    }
    .logos img{
        width: 60%;
        height: 60%;
    }
    .contact_titulo{
        font-size: 1.2rem;
    }
    #info{
        font-size: 1rem;
    }
}
/*-----------------Adaptacion de Pantalla Resol 768 x 1024-----------------*/
@media screen and (max-width: 768px){
    header .icon_menu{
        background-color: rgba(169, 169, 169, 0.600);
        border-radius: 50%;
        margin: 5px 5px;
        padding: 4px;
        z-index: 2;
    }
    .contact{
        width: 100%;
        border-radius: 0px;
    }
    .cont_logo{
        width: 30%;
        position: absolute;
        top: 2%;
        right: 4%;
        filter: invert(1);
    }
    .menu_respon{
        width: 35%;
        z-index: 3;
    }
    .icon_menu_cerrar{
        width: 20px;
        height: 20px;
    }
    .botones_idioma_menu_hor{
        display: none;
    }
    .form input, textarea{
        width: 100%;
        font-size: 1.2rem;
        margin-top: 5%;
    }
    .cont_info{
        display: block;
        text-align: center;
        padding-top: 10px;
    }
    .cont_info h4{
        font-size: 1.5rem;
        letter-spacing: 1px;
    }
    .contacto p{
        font-size: 1.5rem;
    }
    .redes_sociales{
        margin: 3% 5%;
    }
    .der_footer{
        font-size: 1rem;
    }
    .logos img{
        width: 30%;
        height: 30%;
    }
    .contact_titulo{
        font-size: 1.2rem;
    }
    #info{
        font-size: 1rem;
    }
}
/*-----------------Adaptacion de Pantalla Resol 680-----------------*/
@media screen and (max-width: 680px){
    header .icon_menu{
        width: 30px;
        height: 30px;
        padding: 4px;
    }
    .menu_respon{
        transform: translateX(-115%);
    }
    .menu_respon{
        width: 55%;
        z-index: 3;
    } 
    .menu_respon li a{
        font-size: 0.9rem;
    }
    .icon_menu_cerrar{
        width: 20px;
        height: 20px;
    }
    .menu_activo_js{
        transform: translateX(0);
        transition: 0.8s;
        -webkit-transition: 0.8s; 
        -moz-transition: 0.8s; 
        -ms-transition: 0.8s
    }
    .botones_idioma_menu_hor{
        display: none;
    } 
    .form input, textarea{
        width: 100%;
        font-size: 1.2rem;
        margin-top: 5%;
    }
    .cont_info h4{
        font-size: 1rem;
        letter-spacing: 1px;
    }
    .contacto p{
        font-size: 1rem;
    }
    .logos img{
        width: 25%;
        height: 25%;
    }
    .contact_titulo{
        font-size: 1.2rem;
    }
    #info{
        font-size: 1rem;
    }
}
